# Record Class VulkanQueueFamilyIndex

java.lang.Object
java.lang.Record
com.io7m.jcoronado.api.VulkanQueueFamilyIndex

Record Components:
  `value` - The actual index value

All Implemented Interfaces:
  `Comparable<VulkanQueueFamilyIndex>`

public record VulkanQueueFamilyIndex(int value) extends Record implements Comparable<VulkanQueueFamilyIndex>
The index of a queue family.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanQueueFamilyIndex(int value)`
  Creates an instance of a `VulkanQueueFamilyIndex` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(VulkanQueueFamilyIndex other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `static VulkanQueueFamilyIndex`
  `external()`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static VulkanQueueFamilyIndex`
  `ignored()`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanQueueFamilyIndex

    public VulkanQueueFamilyIndex(int value)
    Creates an instance of a `VulkanQueueFamilyIndex` record class.
    Parameters:
      `value` - the value for the `value` record component

- ## Method Details

  - ### ignored

    public static VulkanQueueFamilyIndex ignored()
    Returns:
      The special queue family index that indicates that a queue family parameter or member is ignored.
    See Also:
      - "VK_QUEUE_FAMILY_IGNORED"

  - ### external

    public static VulkanQueueFamilyIndex external()
    Returns:
      The special queue family index that represents any queue external to the resource's current Vulkan instance.
    See Also:
      - "VK_QUEUE_FAMILY_EXTERNAL"

  - ### compareTo

    public int compareTo(VulkanQueueFamilyIndex other)
    Specified by:
      `compareTo` in interface `Comparable<VulkanQueueFamilyIndex>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public int value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component